#!/bin/sh

MACHINE=c1p
DATADIR=/usr/local/share/osi65

if ! EMU65=$(which emu65)
then
  if [ -x src/emu65 ]
  then
    EMU65=src/emu65
    DATADIR=./
  elif [ -x ../src/emu65 ]
  then
    EMU65=../src/emu65
    DATADIR=../
  else
    echo "$0: can't find emu65" >&2
    exit 1
  fi
fi

if [ "$1" = "-h" -o "$1" = "--help" ]
then
  echo "Usage: $0 [TAPE or BASIC FILENAME]"
  exit
fi

TAPE=${1:+--tape $1}

$EMU65 --machine $DATADIR/machines/$MACHINE $TAPE

