#!/bin/sh

MACHINE=c1p
GAME=osi_invaders_scg_971_c1p.tape

DATADIR=/usr/local/share/osi65

if ! EMU65=$(which emu65)
then
  if [ -x src/emu65 ]
  then
    EMU65=src/emu65
    DATADIR=./
  elif [ -x ../src/emu65 ]
  then
    EMU65=../src/emu65
    DATADIR=../
  else
    echo "$0: can't find emu65" >&2
    exit 1
  fi
fi

if [ "$1" = "-h" -o "$1" = "--help" ]
then
  echo "Usage: $0"
  exit
fi

cat << EndOfDoc

======================================

    O.S.I. Invaders for C1P (1978)

      When the emulator starts:

    Press 'c', <RETURN>, <RETURN>
   Press '-' on your numeric keypad
         Then 'm', and 'l'

  When the game has finished loading

       Press <SPACE>, <RETURN>.
        Then type RUN <RETURN>

      (Level 5 is a good speed.)

======================================

NOTE:
The extra step of resetting the emulator (by hitting either <PAUSE> or the
numeric keypad '-') is important - invaders won't load otherwise. It's a bug,
and I hope to have it fixed soon.
EndOfDoc

# Pause to make sure that note gets seen...
sleep 3

$EMU65 --quiet \
       --machine $DATADIR/machines/$MACHINE \
       --tape $DATADIR/software/$MACHINE/$GAME


