#!/bin/sh

MACHINE=uk101
GAME=hectic.txt

DATADIR=/usr/local/share/osi65

if ! EMU65=$(which emu65)
then
  if [ -x src/emu65 ]
  then
    EMU65=src/emu65
    DATADIR=./
  elif [ -x ../src/emu65 ]
  then
    EMU65=../src/emu65
    DATADIR=../
  else
    echo "$0: can't find emu65" >&2
    exit 1
  fi
fi

if [ "$1" = "-h" -o "$1" = "--help" ]
then
  echo "Usage: $0"
  exit
fi

cat << EndOfDoc

======================================

        ---< H E C T I C >---

      When the emulator starts...

     1. Press 'c', <RETURN>, <RETURN>

     2. Type LOAD <RETURN>

     3. Press <SPACE> <RETURN>

     4. Type RUN <RETURN>

======================================

EndOfDoc


$EMU65 --quiet \
       --machine $DATADIR/machines/$MACHINE \
       --tape $DATADIR/software/$MACHINE/$GAME


